univocity-parsers download

univocity-parsers is available in the maven central repository, and is distributed under the Apache license 2.0. You can download it directly from the list of releases below, or follow the instructions below to obtain the libraries using Maven.

Requires JDK 1.6 or later.


Release packages

VersionRelease dateDownload link
2.7.52018-Aug-06univocity-parsers-2.7.5.jar
2.7.42018-Aug-06univocity-parsers-2.7.4.jar
2.7.32018-Aug-02univocity-parsers-2.7.3.jar
2.7.22018-Jul-19univocity-parsers-2.7.2.jar
2.7.12018-Jul-11univocity-parsers-2.7.1.jar
2.7.02018-Jul-07univocity-parsers-2.7.0.jar
2.6.42018-Jun-23univocity-parsers-2.6.4.jar
2.6.32018-Apr-15univocity-parsers-2.6.3.jar
2.6.22018-Apr-04univocity-parsers-2.6.2.jar
2.6.12018-Mar-15univocity-parsers-2.6.1.jar
2.6.02018-Feb-27univocity-parsers-2.6.0.jar
2.5.92017-Nov-21univocity-parsers-2.5.9.jar
2.5.82017-Oct-16univocity-parsers-2.5.8.jar
2.5.72017-Oct-09univocity-parsers-2.5.7.jar
2.5.62017-Sep-22univocity-parsers-2.5.6.jar
2.5.52017-Sep-09univocity-parsers-2.5.5.jar
2.5.42017-Sep-01univocity-parsers-2.5.4.jar
2.5.32017-Aug-17univocity-parsers-2.5.3.jar
2.5.22017-Aug-09univocity-parsers-2.5.2.jar
2.5.12017-Jul-30univocity-parsers-2.5.1.jar
2.5.02017-Jul-24univocity-parsers-2.5.0.jar
2.4.12017-Mar-20univocity-parsers-2.4.1.jar
2.4.02017-Mar-14univocity-parsers-2.4.0.jar
2.3.12017-Feb-05univocity-parsers-2.3.1.jar
2.3.02016-Dec-15univocity-parsers-2.3.0.jar
2.2.32016-Oct-30univocity-parsers-2.2.3.jar
2.2.22016-Sep-19univocity-parsers-2.2.2.jar
2.2.12016-Aug-22univocity-parsers-2.2.1.jar
2.2.02016-Jul-18univocity-parsers-2.2.0.jar
2.1.22016-Jun-09univocity-parsers-2.1.2.jar
2.1.12016-May-10univocity-parsers-2.1.1.jar
2.1.02016-May-02univocity-parsers-2.1.0.jar
2.0.22016-Apr-04univocity-parsers-2.0.2.jar
2.0.12016-Apr-02univocity-parsers-2.0.1.jar
2.0.02016-Feb-15univocity-parsers-2.0.0.jar
1.5.62015-Jun-18univocity-parsers-1.5.6.jar
1.5.52015-May-12univocity-parsers-1.5.5.jar
1.5.42015-May-07univocity-parsers-1.5.4.jar
1.5.32015-May-05univocity-parsers-1.5.3.jar
1.5.22015-Apr-22univocity-parsers-1.5.2.jar
1.5.12015-Apr-09univocity-parsers-1.5.1.jar
1.5.02015-Mar-26univocity-parsers-1.5.0.jar
1.4.02015-Mar-09univocity-parsers-1.4.0.jar
1.3.22015-Feb-20univocity-parsers-1.3.2.jar
1.3.12015-Jan-04univocity-parsers-1.3.1.jar
1.3.02014-Nov-23univocity-parsers-1.3.0.jar
1.2.22014-Nov-19univocity-parsers-1.2.2.jar
1.2.12014-Nov-13univocity-parsers-1.2.1.jar
1.2.02014-Nov-12univocity-parsers-1.2.0.jar
1.1.12014-Oct-23univocity-parsers-1.1.1.jar
1.1.02014-Oct-11univocity-parsers-1.1.0.jar
1.0.32014-Oct-10univocity-parsers-1.0.3.jar
1.0.22014-Sep-29univocity-parsers-1.0.2.jar
1.0.12014-Aug-14univocity-parsers-1.0.1.jar
1.0.02014-Jul-15univocity-parsers-1.0.0.jar

Maven settings

Add the following to your pom.xml:

<dependencies>
    ...
    <dependency>
        <groupId>com.univocity</groupId>
        <artifactId>univocity-parsers</artifactId>
        <version>2.7.5</version>
        <type>jar</type>
    </dependency>
</dependencies>

Snapshot releases

You download univocity-parsers SNAPSHOT builds from this link.

If you use maven, all you need is to add an additional repository entry to the repositories section of your pom.xml:

<repositories>
    ...
    <repository>
        <id>ossrh</id>
        <url>https://oss.sonatype.org/content/repositories/snapshots</url>
    </repository>
</repositories>

For Android

Java Beans are not supported by Android but since version 2.0.0 univocity-parsers can work with the Open Beans library.

All you need to do is to have the openbeans-1.0.jar in your classpath, and the parser will automatically load the relevant classes from there.

With this you will be able to use all annotations and java bean processing facilities provided by our parsers


If you experience any difficulties using our software, don’t hesitate to send us an e-mail on support@univocity.com